Skip to main content
GET
/
chapters
List Chapters
curl --request GET \
  --url https://htsapi.com/v1/chapters \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://htsapi.com/v1/chapters"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://htsapi.com/v1/chapters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "code": "<string>",
      "description": "<string>"
    }
  ]
}
Returns all HTS chapters (2-digit codes) with their descriptions. Useful for building navigation or filtering interfaces.

Example Request

curl -X GET "https://htsapi.com/v1/chapters" \
  -H "Authorization: Bearer your_hts_api_key"

Example Response

{
  "data": [
    {
      "code": "84",
      "description": "Nuclear reactors, boilers, machinery and mechanical appliances; parts thereof"
    },
    {
      "code": "85",
      "description": "Electrical machinery and equipment and parts thereof"
    },
    {
      "code": "86",
      "description": "Railway or tramway locomotives, rolling-stock and parts thereof"
    }
  ]
}

Use Cases

  • Build chapter navigation menus
  • Filter searches by chapter
  • Display chapter overviews
  • Create hierarchical browsing interfaces

Authorizations

Authorization
string
header
required

API key as Bearer token. Format: Bearer your_hts_api_key

Response

200 - application/json

List of chapters

data
object[]